# Class default

Service for streetview functionality with Google Street View

#### Hierarchy

- StreetviewService
  - default

- Defined in src/streetview/GoogleStreetviewService.js:28
- Defined in src/streetview/GoogleStreetviewService.js:149

#####
Index

### Constructors

constructor

### Properties

handlePanoramaPositionChange_
map_
noDataAtLocation
scope_
$inject

### Methods

extentToLonLat_
fromLonLat_
getPanorama
panoramaPositionChange
toLonLat_
toggleShow

##
Constructors

### constructor

- new default($scope, map, handlePanoramaPositionChange, radius, $element): default

- #### Parameters

  - $scope: IScope

    Scope.

  - map: Map

    The map

  - handlePanoramaPositionChange: ((newCoordinates: Coordinate) => void)

    Position change handler

    - - (newCoordinates): void

      - #### Parameters

        - newCoordinates: Coordinate

        #### Returns void

  - radius: number

    The radius

  - $element: JQuery<HTMLElement>

    Element

  #### Returns default

  Overrides StreetviewService.constructor

  - Defined in src/streetview/GoogleStreetviewService.js:36

##
Properties

### handlePanoramaPositionChange_

handlePanoramaPositionChange_: ((newCoordinates: Coordinate) => void)

Inherited from StreetviewService.handlePanoramaPositionChange_

- Defined in src/streetview/Service.js:38

### map_

map_: Map

Inherited from StreetviewService.map_

- Defined in src/streetview/Service.js:37

### noDataAtLocation

noDataAtLocation: boolean

Inherited from StreetviewService.noDataAtLocation

- Defined in src/streetview/Service.js:39

### scope_

scope_: IScope

Inherited from StreetviewService.scope_

- Defined in src/streetview/Service.js:36

### `Static`$inject

$inject: string[]

- Defined in src/streetview/GoogleStreetviewService.js:149

##
Methods

### extentToLonLat_

- extentToLonLat_(extent): Extent

- #### Parameters

  - extent: Extent

    Extent in EPSG:2056 to reproject.

  #### Returns Extent

  LonLat extent.

  Inherited from StreetviewService.extentToLonLat_

  - Defined in src/streetview/Service.js:93

### fromLonLat_

- fromLonLat_(lonLat): Coordinate

- #### Parameters

  - lonLat: Coordinate

    LonLat coordinate.

  #### Returns Coordinate

  Map view projection coordinate.

  Inherited from StreetviewService.fromLonLat_

  - Defined in src/streetview/Service.js:71

### getPanorama

- getPanorama(coordinates): void

- Get image for the given location.

  #### Parameters

  - coordinates: Coordinate

    Map view projection coordinates.

  #### Returns void

  Overrides StreetviewService.getPanorama

  - Defined in src/streetview/GoogleStreetviewService.js:116

### panoramaPositionChange

- panoramaPositionChange(newCoordinates): void

- Set new position on the map.

  #### Parameters

  - newCoordinates: Coordinate

    array of longitude and latitude.

  #### Returns void

  Inherited from StreetviewService.panoramaPositionChange

  - Defined in src/streetview/Service.js:61

### toLonLat_

- toLonLat_(coordinate): Coordinate

- #### Parameters

  - coordinate: Coordinate

    Map view projection coordinate.

  #### Returns Coordinate

  LonLat coordinate.

  Inherited from StreetviewService.toLonLat_

  - Defined in src/streetview/Service.js:82

### toggleShow

- toggleShow(show): void

- Toggle visibility of streetview / add or remove its listener

  #### Parameters

  - show: boolean

    If the streetview is to show

  #### Returns void

  Overrides StreetviewService.toggleShow

  - Defined in src/streetview/GoogleStreetviewService.js:135